Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233514 - pdftk should use system libgcj
Summary: pdftk should use system libgcj
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pdftk
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Fitzsimmons
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 233528
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-22 20:42 UTC by Thomas Fitzsimmons
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 1.41-5.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-12 15:45:59 UTC


Attachments (Terms of Use)

Description Thomas Fitzsimmons 2007-03-22 20:42:30 UTC
pdftk bundles sources from GCJ, which it builds into the pdftk binary.  Instead,
it should dynamically link to the system-installed libgcj.

Ideally the same would be done for the iText dependency, but this is more
difficult because iText does not provide GCJ libraries that use the old-style
GCJ ABI.  Since pdftk uses CNI, and CNI relies on the old-style ABI the
short-term solution would be for iText to provide an old-ABI library alongside
its BC-ABI shared-object.  The long term solution is to make CNI work with the
BC ABI.

Comment 1 Jochen Schmitt 2007-03-25 20:05:37 UTC
Thank you for your request. Unfortunateley, I have some trouble to build a patch
version of pdftk on mock (FC7). Becouse it seems, you have a good knewledge
about the gcj stuff, I have uploaded the source rpm and the build log on

http://www.herr-schmitt.de/pub/pdftk/

I hope you can give me any hint to solve the problem.

Best Regards:

Jochen Schmitt

Comment 2 Thomas Fitzsimmons 2007-03-26 02:00:59 UTC
See Comment #1 on this bug report:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=233489

(We can continue discussion of the gcjh problem there, and use this bug report
for discussion of using system libraries.)


Comment 3 Thomas Fitzsimmons 2007-03-26 16:17:00 UTC
I talked with Andrew Haley about this.  He suggests building iText with
-fno-indirect-classes as a temporary workaround until CNI supports the BC ABI. 
I'll test a patch.


Comment 4 Thomas Fitzsimmons 2007-04-12 15:45:59 UTC
I committed a patch to make pdftk use the system-installed libgcj instead of
bundling libgcj classes.

I didn't do the same for iText because pdftk's bundled iText implementation
contains many local modifications.  I've contacted the upstream maintainer about
this.  I'm going to close this bug and file a new one for the iText bundling,
assigned to Jochen.



Note You need to log in before you can comment on or make changes to this bug.